Subject: Re: [RFC] wrr (weighted round-robin) bonding

From: Dawid Ciezarkiewicz <[email-masked]>
Date: Fri, 20 Oct 2006 21:41:14 +0200

On Thursday, 19 October 2006 21:04, Andy Gospodarek wrote:
> It would seem to me that extending an existing mode would be more
> desirable than adding yet another mode to worry about.  I don't even
> like the fact that there are as many as there are, but I understand why
> they are there.  

Ack. I will probably update wrr bonding patch to replace rr mode.

> I recently extended rr mode to allow an additional parameter called that
> rr_repeat that would allow someone to send more than a single frame out
> of each device before moving to the next one.  It seemed this could be
> helpful when dealing with switches that constantly re-learned source MAC
> addresses.  Network performance would suffer whenever rr_repeat was >1,
> but box performance might be better if there weren't so many locks
> taken.

Thanks. I'll consider adding such functionality.